package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(demo_group):
 */
public class DemoGroup {

	/**  */
	private Long id;
	
	/**  */
	private String name;
	
	/** 单节课时 */
	private Integer singleClassMinutes;
	
	/** 所属分部列表 */
	private String organIdList;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	/** 老师编号 */
	private Integer userId;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setSingleClassMinutes(Integer singleClassMinutes){
		this.singleClassMinutes = singleClassMinutes;
	}
	
	public Integer getSingleClassMinutes(){
		return this.singleClassMinutes;
	}
			
	public void setOrganIdList(String organIdList){
		this.organIdList = organIdList;
	}
	
	public String getOrganIdList(){
		return this.organIdList;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
